Bug 738255 - [abrt] openoffice.org-calc-1:3.3.0-20.7.fc14: ScInputHandler::EnterHandler was killed by signal 11 (SIGSEGV)
Summary: [abrt] openoffice.org-calc-1:3.3.0-20.7.fc14: ScInputHandler::EnterHandler wa...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f2a5b3a68522000108b27ddc1ae...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 12:17 UTC by tdv
Modified: 2012-03-27 09:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-27 09:57:41 UTC


Attachments (Terms of Use)
File: backtrace (48.99 KB, text/plain)
2011-09-14 12:17 UTC, tdv
no flags Details
plausible local workaround (3.64 KB, patch)
2011-09-14 12:38 UTC, Caolan McNamara
no flags Details | Diff

Description tdv 2011-09-14 12:17:03 UTC
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 50166 bytes
cmdline: /usr/lib64/openoffice.org3/program/scalc.bin -calc file:///mnt/LabD/ALLALL/PhD_Hillel/articles_biology_resume.xls
component: openoffice.org
Attached file: coredump, 222220288 bytes
crash_function: ScPatternAttr::GetNumberFormat
executable: /usr/lib64/openoffice.org3/program/scalc.bin
kernel: 2.6.35.14-96.fc14.x86_64
package: openoffice.org-calc-1:3.3.0-20.7.fc14
rating: 4
reason: Process /usr/lib64/openoffice.org3/program/scalc.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1316000669
uid: 501

How to reproduce
-----
1.
2.
3.WTF

Comment 1 tdv 2011-09-14 12:17:06 UTC
Created attachment 523136 [details]
File: backtrace

Comment 2 Caolan McNamara 2011-09-14 12:38:30 UTC
Created attachment 523142 [details]
plausible local workaround

Assuming the this of NULL is correct in the backtrace, this would likely avoid the crash. 

But if might go on crash elsewhere. Are you able to reproduce this so we can be sure of a correct fix ?

Comment 3 Caolan McNamara 2011-09-15 11:33:24 UTC
Probably really difficult to get a reproducer for this. I'll add a bandaid anyway I think.

Comment 4 Caolan McNamara 2011-09-15 11:54:50 UTC
workaround for immediate crash will be in >= 3.3.0-20.8 if we do another update for F-14

Comment 5 Fedora Update System 2011-11-30 11:46:43 UTC
openoffice.org-3.3.0-20.10.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-20.10.fc14

Comment 6 Fedora Update System 2011-12-02 21:30:21 UTC
Package openoffice.org-3.3.0-20.10.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openoffice.org-3.3.0-20.10.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16640/openoffice.org-3.3.0-20.10.fc14
then log in and leave karma (feedback).

Comment 7 Caolan McNamara 2012-03-27 09:57:41 UTC
Fedora 14 is EOL


Note You need to log in before you can comment on or make changes to this bug.